package com.its.pis.websocket.C2F.prk_plce_opr;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.*;

/**
 * 주차요금-요금할인
 */
@Data
@Builder
@NoArgsConstructor(access = AccessLevel.PRIVATE)
@AllArgsConstructor(access = AccessLevel.PRIVATE)
@JsonIgnoreProperties(ignoreUnknown = true)
public class ParkingChargeDscnt {

    // 경형자동차
    private Integer parking_chrge_dc_rate_lghvhcl;          // numeric(3,0) 60(%)
    // 장애인차량
    private Integer parking_chrge_dc_rate_dspsn;            // numeric(3,0) 50(%)
    // 부제운행차량
    private Integer parking_chrge_dc_rate_no_drv_day;       // numeric(3,0) 20(%)
    // 긴급차량
    private Integer parking_chrge_dc_rate_emrgncy;          // numeric(3,0) 100(%)
    // 국가유공자차량
    private Integer parking_chrge_dc_rate_national_merit;   // numeric(3,0) 50(%)
    // 성실납세자차량
    private Integer parking_chrge_dc_rate_earnest_taxpayer; // numeric(3,0) 100(%)
    // 우수자원봉사차량
    private Integer parking_chrge_dc_rate_exclnc_volunteer; // numeric(3,0) 100(%)
    // 승용차요일제참여차량
    private Integer parking_chrge_dc_rate_day_of_week;      // numeric(3,0) 20(%)
    // 환승차량
    private Integer parking_chrge_dc_rate_trnsit;           // numeric(3,0) 50(%)
    // 관용차량
    private Integer parking_chrge_dc_rate_offl;             // numeric(3,0) 100(%)
    // 고엽제후유증차량
    private Integer parking_chrge_dc_rate_agtorn_squl;      // numeric(3,0) 50(%)
    // 병역명문가 차량
    private Integer parking_chrge_dc_rate_mtrsc_dynasty;    // numeric(3,0) 50(%)
    // 저공해차량
    private Integer parking_chrge_dc_rate_lplgn;            // numeric(3,0) 60(%)
    // 의상자증소지차량
    private Integer parking_chrge_dc_rate_rescue_efforts;   // numeric(3,0) 60(%)
    // 다자녀차량
    private Integer parking_chrge_dc_rate_mnych;            // numeric(3,0) 50(%)
    // 기타
    private Integer parking_chrge_dc_rate_etc;              // numeric(3,0) 00(%)

}
